Subject: Re: [PATCH v4 1/2] diff-no-index.c: rename read_directory()

From: Matthieu Moy <[email-masked]>
Date: Wed, 19 Mar 2014 18:47:08 +0100

Andrei Dinu <[email-masked]> writes:

> Signed-off-by: Andrei Dinu <[email-masked]>

The commit message should explain why this is a good change. In general,
the "why?" question is more important than the "what" (the reader can
see from the patch that you renamed the function, but cannot guess why
you did so).

Also, when sending multiple patches, send them as a single thread. See
for example:

  http://thread.gmane.org/gmane.comp.version-control.git/244441

In practice, call "git send-email" once, not once per patch. Try sending
the patches to yourself first to avoid disturbing the list in case of
user error.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/